﻿using System;
using System.Collections.Generic;
using System.Windows;
using Steema.TeeChart.WPF.Styles;
using System.ComponentModel;

namespace SteemaZoomIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
     
            LoadSeries();

            area.MouseDoubleClick += new System.Windows.Input.MouseButtonEventHandler(area_MouseDoubleClick);
            area.Header.CustomPosition = true;
            area.Header.AutoSize = false;

            positions.Items.Add("Center");
            positions.Items.Add("Left");
            positions.Items.Add("Right");

            positions.SelectionChanged += new System.Windows.Controls.SelectionChangedEventHandler(positions_SelectionChanged);

            positions.SelectedIndex = 0;

        }

        private void positions_SelectionChanged(object sender, System.Windows.Controls.SelectionChangedEventArgs e)
        {
             switch (positions.SelectedIndex)
            {
                case 0:
                    {
                        area.Header.Left = (int)area.Axes.Left.Maximum;
                        area.Header.Left = (int)area.Axes.Bottom.IAxisSize / 2;
                        area.Header.Top = 0;
                        area.Footer.Top = area.Axes.Left.CalcPosValue(0);  //20;//You choose where is drawn.
                        area.Footer.Left = (int)area.Axes.Bottom.IAxisSize / 2;
                        break;
                    }
                case 1:
                    {
                        area.Header.Left = (int)area.Axes.Left.Maximum;
                        area.Header.Left = (int)area.Axes.Bottom.CalcPosValue(0);
                        area.Header.Top = 0;
                        area.Footer.Top = area.Axes.Left.CalcPosValue(0);  //20;//You choose where is drawn.
                        area.Footer.Left = (int)area.Axes.Bottom.CalcPosValue(0);
                        area.Header.TextAlign = TextAlignment.Left;
                        break;
                    }
                case 2:
                    {
                        area.Header.Left = (int)area.Axes.Left.Maximum;
                        area.Header.Left = (int)area.Axes.Bottom.IAxisSize;
                        area.Header.Top = 0;
                        area.Footer.Top = area.Axes.Left.CalcPosValue(20);  //20;//You choose where is drawn.
                        area.Footer.Left = (int)area.Axes.Bottom.IAxisSize;
                        area.Header.TextAlign = TextAlignment.Right;
                        break;
                    }
            }

        }

        private Window _window;
        void area_MouseDoubleClick(object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            if (_window == null)
            {
                _window = new Window();
                _window.Width = 500;
                _window.Height = 300;
                _window.Show();
                _window.Closing += new CancelEventHandler(window_Closing);
            }
        }
        private void window_Closing(object sender, CancelEventArgs e)
        {
            if (_window != null)
            {
                _window.Closing -= new CancelEventHandler(window_Closing);
                _window = null;
            }
        }

        private void LoadSeries()
        {
            for (int i = 0; i < 4; i++)
            {
                Line line = new Line(area.Chart);
                line.FillSampleValues();
            }
        }
    }
}
